package com.ffii.lioner.modules.lioner.commonField.entity;

import com.ffii.core.entity.BaseEntity;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Inheritance;
import jakarta.persistence.InheritanceType;
import jakarta.persistence.Table;
import jakarta.validation.constraints.NotNull;

/** @author Vin Luk */
@Entity
@Table(name = "common_field")
@Inheritance(strategy=InheritanceType.TABLE_PER_CLASS)
public class CommonField extends BaseEntity<Long>{
    //FNA
    @NotNull
	@Column
	private Long clientId;

	@Column
	private String name;
    
    @Column
	private String dateOfBirth;

    @Column
	private String idCard;
   
    @Column
	private String occupation;

    //IDA
    @Column
	private String firstName;

    @Column
	private String givenName;

    @Column
	private String genderMale;

    @Column
	private String genderFemale;
    
    @Column
	private String ddDateOfBirth;

    @Column
	private String mmDateOfBirth;

    @Column
	private String yyyyDateOfBirth;

    @Column
	private String nameChi;

    @Column
	private String gender;

    public Long getClientId() {
        return clientId;
    }

    public void setClientId(Long clientId) {
        this.clientId = clientId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDateOfBirth() {
        return dateOfBirth;
    }

    public void setDateOfBirth(String dateOfBirth) {
        this.dateOfBirth = dateOfBirth;
    }

    public String getIdCard() {
        return idCard;
    }

    public void setIdCard(String idCard) {
        this.idCard = idCard;
    }

    public String getOccupation() {
        return occupation;
    }

    public void setOccupation(String occupation) {
        this.occupation = occupation;
    }

    public String getFirstName() {
        return firstName;
    }

    public void setFirstName(String firstName) {
        this.firstName = firstName;
    }

    public String getGivenName() {
        return givenName;
    }

    public void setGivenName(String givenName) {
        this.givenName = givenName;
    }

    public String getGenderMale() {
        return genderMale;
    }

    public void setGenderMale(String genderMale) {
        this.genderMale = genderMale;
    }

    public String getGenderFemale() {
        return genderFemale;
    }

    public void setGenderFemale(String genderFemale) {
        this.genderFemale = genderFemale;
    }

    public String getDdDateOfBirth() {
        return ddDateOfBirth;
    }

    public void setDdDateOfBirth(String ddDateOfBirth) {
        this.ddDateOfBirth = ddDateOfBirth;
    }

    public String getMmDateOfBirth() {
        return mmDateOfBirth;
    }

    public void setMmDateOfBirth(String mmDateOfBirth) {
        this.mmDateOfBirth = mmDateOfBirth;
    }

    public String getYyyyDateOfBirth() {
        return yyyyDateOfBirth;
    }

    public void setYyyyDateOfBirth(String yyyyDateOfBirth) {
        this.yyyyDateOfBirth = yyyyDateOfBirth;
    }

    public String getNameChi() {
        return nameChi;
    }

    public void setNameChi(String nameChi) {
        this.nameChi = nameChi;
    }

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender;
    }
    
    

}

